# Generated by Django 2.1.3 on 2020-08-17 19:43

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    StatusVoucher = apps.get_model("tv", "StatusVoucher")
    StatusSTB = apps.get_model("tv", "StatusSTB")
    db_alias = schema_editor.connection.alias

    StatusVoucher.objects.using(db_alias).bulk_create([
        StatusVoucher(name="ON"),
        StatusVoucher(name="OFF"),

    ])
    
    StatusSTB.objects.using(db_alias).bulk_create([
        StatusSTB(name="NO INSTALADO"),
        StatusSTB(name="INSTALADO"),
        StatusSTB(name="RETIRADO"),
        
    ])

def reverse_func(apps, schema_editor):
    # forwards_func() creates two Country instances,
    # so reverse_func() should delete them.

    StatusVoucher = apps.get_model("tv", "StatusVoucher")
    StatusSTB = apps.get_model("tv", "StatusSTB")
    db_alias = schema_editor.connection.alias

    StatusVoucher.objects.using(db_alias).filter(name="ON").delete()
    StatusVoucher.objects.using(db_alias).filter(name="OFF").delete()

    StatusSTB.objects.using(db_alias).filter(name="NO INSTALADO").delete()
    StatusSTB.objects.using(db_alias).filter(name="INSTALADO").delete()
    StatusSTB.objects.using(db_alias).filter(name="RETIRADO").delete()
    


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0006_auto_20200813_1103'),
        ('devices', '0011_auto_20200813_1103'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalSetupBox',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('associated_service', models.DateTimeField(blank=True, null=True, verbose_name='Asociado al servicio desde')),
                ('associated_voucher', models.DateTimeField(blank=True, null=True, verbose_name='Asociado al voucher desde')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('mac', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable', verbose_name='Mac')),
                ('model', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice', verbose_name='Modelo')),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator', verbose_name='Operador')),
                ('service', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service', verbose_name='Servicio nro.')),
            ],
            options={
                'verbose_name': 'historical Setup Box',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalStatusSTB',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('name', models.CharField(max_length=50, verbose_name='Status')),
                ('description', models.TextField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical status stb',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalStatusVoucher',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('name', models.CharField(max_length=50, verbose_name='Status')),
                ('description', models.TextField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical status voucher',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalVoucher',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('code', models.CharField(db_index=True, help_text='Id suministrado por el proveedor', max_length=255, verbose_name='miplay_id')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator', verbose_name='Operador')),
            ],
            options={
                'verbose_name': 'historical Voucher',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='SetupBox',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('associated_service', models.DateTimeField(blank=True, null=True, verbose_name='Asociado al servicio desde')),
                ('associated_voucher', models.DateTimeField(blank=True, null=True, verbose_name='Asociado al voucher desde')),
                ('mac', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.MACTable', verbose_name='Mac')),
                ('model', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.ModelDevice', verbose_name='Modelo')),
                ('operator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.Operator', verbose_name='Operador')),
                ('service', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='customers.Service', verbose_name='Servicio nro.')),
            ],
            options={
                'verbose_name': 'Setup Box',
                'verbose_name_plural': 'Setup Boxes',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='StatusSTB',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('name', models.CharField(max_length=50, verbose_name='Status')),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StatusVoucher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('name', models.CharField(max_length=50, verbose_name='Status')),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Voucher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable='True', null=True)),
                ('code', models.CharField(help_text='Id suministrado por el proveedor', max_length=255, unique=True, verbose_name='miplay_id')),
                ('operator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.Operator', verbose_name='Operador')),
                ('supplier_status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='tv.StatusVoucher', verbose_name='Status del Proveedor')),
            ],
            options={
                'verbose_name': 'Voucher',
                'verbose_name_plural': "Voucher's",
                'ordering': ['-id'],
            },
        ),
        migrations.AddField(
            model_name='setupbox',
            name='status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='tv.StatusSTB', verbose_name='Status del SetupBox'),
        ),
        migrations.AddField(
            model_name='setupbox',
            name='voucher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='tv.Voucher', verbose_name='Voucher'),
        ),
        migrations.AddField(
            model_name='historicalvoucher',
            name='supplier_status',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tv.StatusVoucher', verbose_name='Status del Proveedor'),
        ),
        migrations.AddField(
            model_name='historicalsetupbox',
            name='status',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tv.StatusSTB', verbose_name='Status del SetupBox'),
        ),
        migrations.AddField(
            model_name='historicalsetupbox',
            name='voucher',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tv.Voucher', verbose_name='Voucher'),
        ),

        migrations.RunPython(forwards_func, reverse_func),
    ]
